Page MenuHomePhabricator

Regression: videos with audio not playing in Safari Techology Preview (Safari 12 on macOS)
Closed, ResolvedPublic

Description

Regression in ogv.js video playback on Safari Technology Preview (Safari 12), noticed in version 59 but might have come in a bit earlier.

A video with no audio plays fine:
https://commons.wikimedia.org/wiki/File:Halemaʻumaʻu_lava_lake_USGS_multimediaFile-1585.webm

A video with audio does not play, and stays at time 0:00 (or wherever you seek to) without progressing frames or playing any audio:
https://commons.wikimedia.org/wiki/File:RAGCYT_-_Ana_Franchi.webm

They do work in Safari Technology Preview playing on ogv.js's demo page:
https://brionv.com/misc/ogv.js/demo/#file=RAGCYT_-_Ana_Franchi.webm&search=Franchi&size=360p.webm&source=commons

which indicates it's likely a problem with the delayed initialization after the MwEmbedPlayer play button. Will take a look at how things have changed and try to resolve.

Event Timeline

brion created this task.Jun 21 2018, 11:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 11:29 PM

Change 441510 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Fix video playback regression in Safari 12

https://gerrit.wikimedia.org/r/441510

Turned out the delayed initialization workaround was only being done on iOS. Simply removing the check means we do the same logic on macOS, and it now works whether on the old or new Safari. Yay!

Change 441510 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Fix video playback regression in Safari 12

https://gerrit.wikimedia.org/r/441510

Change 441522 had a related patch set uploaded (by Paladox; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@REL1_31] Fix video playback regression in Safari 12

https://gerrit.wikimedia.org/r/441522

Vvjjkkii renamed this task from Regression: videos with audio not playing in Safari Techology Preview (Safari 12 on macOS) to phaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii removed brion as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from phaaaaaaaa to Regression: videos with audio not playing in Safari Techology Preview (Safari 12 on macOS).Jul 2 2018, 11:05 AM
CommunityTechBot assigned this task to brion.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 441522 merged by Umherirrender:
[mediawiki/extensions/TimedMediaHandler@REL1_31] Fix video playback regression in Safari 12

https://gerrit.wikimedia.org/r/441522

brion closed this task as Resolved.Oct 1 2018, 5:11 PM

This merged some time ago. Closing out.